Package com.independentsoft.office.odf.styles

# Class BaseStyle

java.lang.Object
com.independentsoft.office.odf.styles.Style
com.independentsoft.office.odf.styles.BaseStyle

Direct Known Subclasses:
  `CellStyle`, `ChartStyle`, `ColumnStyle`, `DrawingPageStyle`, `GraphicStyle`, `ParagraphStyle`, `RowStyle`, `RubyStyle`, `SectionStyle`, `TableStyle`, `TextStyle`

public abstract class BaseStyle extends Style
The Class BaseStyle.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `className`
  `protected String`
  `dataStyle`
  `protected boolean`
  `enableAutoUpdate`
  `protected StyleFamily`
  `family`
  `protected String`
  `linkedStyleName`
  `protected String`
  `listStyle`
  `protected String`
  `masterPageName`
  `protected String`
  `nextStyle`
  `protected boolean`
  `outlineLevelEmpty`
  `protected int`
  `outlineNumberingLevel`
  `protected String`
  `parentStyle`
  `protected List<StyleMapping>`
  `styleMappings`

  ### Fields inherited from class com.independentsoft.office.odf.styles.Style

  `displayName, name`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseStyle()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract BaseStyle`
  `clone()`
  `String`
  `getClassName()`
  Gets the class name.
  `String`
  `getDataStyle()`
  Gets the data style.
  `StyleFamily`
  `getFamily()`
  Gets the family.
  `String`
  `getListStyle()`
  Gets the list style.
  `String`
  `getMasterPageName()`
  Gets the master page name.
  `String`
  `getNextStyle()`
  Gets the next style.
  `int`
  `getOutlineNumberingLevel()`
  Gets the outline numbering level.
  `String`
  `getParentStyle()`
  Gets the parent style.
  `List<StyleMapping>`
  `getStyleMappings()`
  Gets the style mappings.
  `boolean`
  `isEnableAutoUpdate()`
  Checks if is enable auto update.
  `void`
  `setClassName​(String className)`
  Sets the class name.
  `void`
  `setDataStyle​(String dataStyle)`
  Sets the data style.
  `void`
  `setEnableAutoUpdate​(boolean enableAutoUpdate)`
  Sets the enable auto update.
  `void`
  `setListStyle​(String listStyle)`
  Sets the list style.
  `void`
  `setMasterPageName​(String masterPageName)`
  Sets the master page name.
  `void`
  `setNextStyle​(String nextStyle)`
  Sets the next style.
  `void`
  `setOutlineNumberingLevel​(int outlineNumberingLevel)`
  Sets the outline numbering level.
  `void`
  `setParentStyle​(String parentStyle)`
  Sets the parent style.
  `String`
  `toString()`
  Converts the value of the current BaseStyle object to its equivalent string representation.
  `protected String`
  `toString​(String innerXml)`

  ### Methods inherited from class com.independentsoft.office.odf.styles.Style

  `getDisplayName, getName, setDisplayName, setName`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### styleMappings

    protected List<StyleMapping> styleMappings

  - ### family

    protected StyleFamily family

  - ### parentStyle

    protected String parentStyle

  - ### nextStyle

    protected String nextStyle

  - ### listStyle

    protected String listStyle

  - ### masterPageName

    protected String masterPageName

  - ### enableAutoUpdate

    protected boolean enableAutoUpdate

  - ### dataStyle

    protected String dataStyle

  - ### className

    protected String className

  - ### outlineNumberingLevel

    protected int outlineNumberingLevel

  - ### linkedStyleName

    protected String linkedStyleName

  - ### outlineLevelEmpty

    protected boolean outlineLevelEmpty

- ## Constructor Details

  - ### BaseStyle

    public BaseStyle()

- ## Method Details

  - ### clone

    public abstract BaseStyle clone()
    Specified by:
      `clone` in class `Style`

  - ### toString

    public String toString()
    Converts the value of the current BaseStyle object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### toString

    protected String toString​(String innerXml)

  - ### getStyleMappings

    public List<StyleMapping> getStyleMappings()
    Gets the style mappings.
    Returns:
      the style mappings

  - ### getFamily

    public StyleFamily getFamily()
    Gets the family.
    Returns:
      the family

  - ### getParentStyle

    public String getParentStyle()
    Gets the parent style.
    Returns:
      the parent style

  - ### setParentStyle

    public void setParentStyle​(String parentStyle)
    Sets the parent style.
    Parameters:
      `parentStyle` - the new parent style

  - ### getNextStyle

    public String getNextStyle()
    Gets the next style.
    Returns:
      the next style

  - ### setNextStyle

    public void setNextStyle​(String nextStyle)
    Sets the next style.
    Parameters:
      `nextStyle` - the new next style

  - ### getListStyle

    public String getListStyle()
    Gets the list style.
    Returns:
      the list style

  - ### setListStyle

    public void setListStyle​(String listStyle)
    Sets the list style.
    Parameters:
      `listStyle` - the new list style

  - ### getMasterPageName

    public String getMasterPageName()
    Gets the master page name.
    Returns:
      the master page name

  - ### setMasterPageName

    public void setMasterPageName​(String masterPageName)
    Sets the master page name.
    Parameters:
      `masterPageName` - the new master page name

  - ### isEnableAutoUpdate

    public boolean isEnableAutoUpdate()
    Checks if is enable auto update.
    Returns:
      true, if is enable auto update

  - ### setEnableAutoUpdate

    public void setEnableAutoUpdate​(boolean enableAutoUpdate)
    Sets the enable auto update.
    Parameters:
      `enableAutoUpdate` - the new enable auto update

  - ### getDataStyle

    public String getDataStyle()
    Gets the data style.
    Returns:
      the data style

  - ### setDataStyle

    public void setDataStyle​(String dataStyle)
    Sets the data style.
    Parameters:
      `dataStyle` - the new data style

  - ### getClassName

    public String getClassName()
    Gets the class name.
    Returns:
      the class name

  - ### setClassName

    public void setClassName​(String className)
    Sets the class name.
    Parameters:
      `className` - the new class name

  - ### getOutlineNumberingLevel

    public int getOutlineNumberingLevel()
    Gets the outline numbering level.
    Returns:
      the outline numbering level

  - ### setOutlineNumberingLevel

    public void setOutlineNumberingLevel​(int outlineNumberingLevel)
    Sets the outline numbering level.
    Parameters:
      `outlineNumberingLevel` - the new outline numbering level